Bug 111629 - ACL over NFS problem
ACL over NFS problem
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: kernel (Show other bugs)
3.0
All Linux
medium Severity medium
: ---
: ---
Assigned To: Steve Dickson
: Security
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-12-06 17:38 EST by Bernd Bartmann
Modified: 2007-11-30 17:06 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-05-11 21:07:52 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Bernd Bartmann 2003-12-06 17:38:06 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.4.1)
Gecko/20031114

Description of problem:
I'm running RHES3 with kernel-2.4.21-4.0.1.EL.i686.rpm. ACLs are
enabled for / (ext3 on software-RAID1) and /home is NFS exported.

Some tests to see that ACLs work on the server:
[bart@picard acltest]$ touch testfile
[bart@picard acltest]$ mkdir testdir
[bart@picard acltest]$ ls -l
total 4
drwxrwxr-x    2 bart     bart         4096 Dec  6 23:26 testdir
-rw-rw-r--    1 bart     bart            0 Dec  6 23:26 testfile
[bart@picard acltest]$ setfacl -m u:dummy:r test*
[bart@picard acltest]$ ls -l
total 12
drwxrwxr-x+   2 bart     bart         4096 Dec  6 23:26 testdir
-rw-rw-r--+   1 bart     bart            0 Dec  6 23:26 testfile

Now on the NFS client (Fedora Core 1
kernel-smp-2.4.22-1.2129.nptl.i686.rpm) I get some strange results:

Before setfacl on the server:
[bart@riker acltest]$ ls -l
insgesamt 4
drwxrwxr-x    2 bart     bart         4096  6. Dez 23:26 testdir
-rw-rw-r--    1 bart     bart            0  6. Dez 23:26 testfile

After setfacl on the server:
[bart@riker acltest]$ ls -l
insgesamt 8
drwxrwxr-x    2 bart     bart         4096  6. Dez 23:26 testdir
-rw-r--r--    1 bart     bart            0  6. Dez 23:26 testfile
[bart@riker acltest]$ getfacl testfile
# file: testfile
# owner: bart
# group: bart
user::rw-
group::r--
other::r--

As you can see the w-permission for group is not displayed anymore.


Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. Follow the instructions seen in the description above.
2.
3.
    

Additional info:
Comment 1 Bernd Bartmann 2004-01-08 10:14:43 EST
The problem still exists using the current errata kernels:

RHES3: kernel-2.4.21-4.0.2.EL.i686.rpm
FC1: kernel-smp-2.4.22-1.2140.nptl.i686.rpm
Comment 2 Steve Dickson 2004-02-03 16:32:44 EST
Does 'getfacl testfile' on the server show the correct output?
It didn't for me, which could mean this is an ext3 issue not
an nfs one...
Comment 3 Bernd Bartmann 2004-02-03 16:39:19 EST
The output from getfacl testfile on the server looks ok to me:

[bart@picard acltest]$ getfacl testfile
# file: testfile
# owner: bart
# group: bart
user::rw-
user:dummy:r--
group::rw-
mask::rw-
other::r--
Comment 5 John Flanagan 2004-05-11 21:07:52 EDT
An errata has been issued which should help the problem described in this bug report. 
This report is therefore being closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files, please follow the link below. You may reopen 
this bug report if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2004-188.html

Note You need to log in before you can comment on or make changes to this bug.